Subject: Re: [PATCH] bnx2: Fix the behavior of ethtool when ONBOOT=no

From: Naohiro Ooiwa <[email-masked]>
Date: Thu, 02 Jul 2009 13:46:55 +0900

Hi David

I'm sorry for my tactless mail.
I see your comment.

Best Regards,
Naohiro Ooiwa

David Miller wrote:
> From: "Eilon Greenstein" <[email-masked]>
> Date: Tue, 30 Jun 2009 17:50:16 +0300
> 
>> On Sun, 2009-06-28 at 17:49 -0700, Naohiro Ooiwa wrote:
>>> Hi Michael
>>>
>>> Thank you for your comment.
>>>
>>> I tried to create a patch of bnx2x driver.
>>> It's the same fix as bnx2 driver.
>>> Could you please check the my patch ?
>>>
>>> Of cource, I made sure of compile.
>> It is also working as expected. I already made a similar patch based on
>> your bnx2 fix and it looks exactly the same...
>>
>> Thanks!
>>
>>> Signed-off-by: Naohiro Ooiwa <[email-masked]>
>> Acked-by: Eilon Greenstein <[email-masked]>
> 
> Applied, but you really need to begin writing proper changelog
> entries when you send patches out.  Here is the one I wrote for you
> below.  Otherwise a random person looking at this change will have no
> idea the reason for it, nor what it is related to.
> 
> ==================================================
> bnx2x: Fix the behavior of ethtool when ONBOOT=no
> 
> This is the same fix as commit
> 7959ea254ed18faee41160b1c50b3c9664735967 ("bnx2: Fix the behavior of
> ethtool when ONBOOT=no"), but for bnx2x:
> 
> --------------------
>     When configure in ifcfg-eth* is ONBOOT=no,
>     the behavior of ethtool command is wrong.
>     
>         # grep ONBOOT /etc/sysconfig/network-scripts/ifcfg-eth2
>         ONBOOT=no
>         # ethtool eth2 | tail -n1
>                 Link detected: yes
>     
>     I think "Link detected" should be "no".
> --------------------
> 
> Signed-off-by: Naohiro Ooiwa <[email-masked]>
> Acked-by: Eilon Greenstein <[email-masked]>
> Signed-off-by: David S. Miller <[email-masked]>
>